Summary:	The BSD 4.4 version of make
Name:		pmake
Version:	1.45
Release:	%mkrel 18
Epoch:		1
License:	BSD
Group:		Development/Other
Source0:	http://ftp.debian.org/debian/dists/potato/main/source/devel/%{name}_%{version}-3.2.tar.bz2
Patch0:         pmake-1.45-gcc4.patch
Patch1:		pmake_1.45-3.2-LDFLAGS.diff
Patch2:		pmake-1.45-mktemp.patch

%description
Make is a GNU tool which allows users to build and install programs
without any significant knowledge of the build process.  Details about
how the program should be built are included in the program's
Makefile.  Pmake is a particular version (BSD 4.4) of make.  Pmake
supports some additional syntax which is not in the standard make
program.  Some Berkeley programs have Makefiles written for pmake.

Pmake should be installed on your system so that you will be able to
build programs which require using pmake instead of make.

%prep

%setup -q
%patch0 -p1 -b .gcc4
%patch1 -p0 -b .LDFLAGS
%patch2 -p1 -b .mktemp

%build
%__make -f Makefile.boot \
        CFLAGS="%{optflags} \
	-D__COPYRIGHT\(x\)= \
	-D__RCSID\(x\)= \
	-I. \
	-DMACHINE=\\\"mandrake\\\" \
	-DMACHINE_ARCH=\\\"`arch`\\\"" \
	CC=gcc \
        LDFLAGS="%{ldflags}"
touch build


%install
install -d %{buildroot}/%{_bindir}
install -d %{buildroot}/%{_mandir}/man1

install bmake %{buildroot}/%{_bindir}/pmake
install -m 755 mkdep %{buildroot}/%{_bindir}
install make.1 %{buildroot}/%{_mandir}/man1/pmake.1
install mkdep.1 %{buildroot}/%{_mandir}/man1

install -d %{buildroot}/%{_datadir}/mk
for file in mk/*; do
    install -m 644 $file %{buildroot}/%{_datadir}/mk
done

%files
%doc PSD.doc/tutorial.ms
%{_bindir}/*
%dir %{_datadir}/mk
%{_datadir}/mk/*
%{_mandir}/man1/*




%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1:1.45-18.mga8
+ Revision: 1516006
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1:1.45-17.mga7
+ Revision: 1300319
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use __make

* Fri Feb 05 2016 umeabot <umeabot> 1:1.45-16.mga6
+ Revision: 938489
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:1.45-15.mga5
+ Revision: 744086
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.45-14.mga5
+ Revision: 687686
- Mageia 5 Mass Rebuild

* Tue Nov 05 2013 luigiwalser <luigiwalser> 1:1.45-13.mga4
+ Revision: 549738
- backport debian patch to fix CVE-2011-1920

* Fri Oct 18 2013 umeabot <umeabot> 1:1.45-12.mga4
+ Revision: 517558
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:1.45-11.mga3
+ Revision: 377936
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Mar 30 2011 steletch <steletch> 1:1.45-10.mga1
+ Revision: 79115
- imported package pmake


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.45-10mdv2011.0
+ Revision: 607184
- rebuild

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.45-9mdv2010.1
+ Revision: 520200
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1:1.45-8mdv2010.0
+ Revision: 426732
- rebuild

* Mon Dec 22 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.45-7mdv2009.1
+ Revision: 317536
- use %%ldflags

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1:1.45-6mdv2009.0
+ Revision: 225017
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 1:1.45-5mdv2008.1
+ Revision: 125454
- kill re-definition of %%buildroot on Pixel's request


* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 1.45-5mdv2007.1
+ Revision: 145406
- Import pmake

* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 1.45-5mdv2007.1
- use the %%mrel macro
- bunzip patches

* Sun Jul 31 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.45-4mdk
- Patch 0 :  Fix Build with gcc4 ( from Fedora )

